
Redmine - Feature #19371

Add a new query column for the parent task subject

2015-03-13 10:14 - Sebastian Paluch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version: 4.1.0   
Description

The change done to #13673 broke a lot for us... and would like that to be reverted.

Seeing only parent issue number makes the column useless because we do not know what the parent is about :/ often parent subject

contains general information (e.g. test A) and then more details in subtasks (e.g. prepare setup, make report, etc.), now I see only

few tasks like prepare setup with no information what the setup is for :/

Wasn't better fix for this provided in #19120 and in note #13673#note-13? Or maybe an option in settings or additional column for

parent subject?

Related issues:

Related to Redmine - Defect #13673: Parent issue column includes issue subjec... Closed

Related to Redmine - Defect #31734: Issue Information Not Being Transfered To... New

Related to Redmine - Defect #33103: Export to PDF fails when subject of paren... Closed

Related to Redmine - Defect #33163: Parent task subject column should be in t... Closed

Associated revisions

Revision 18078 - 2019-04-24 04:29 - Go MAEDA

Adds a new query column for the parent task subject (#19371).

Patch by Jens Krämer.

Revision 18079 - 2019-04-24 04:35 - Go MAEDA

Test for r18078 (#19371).

Patch by Yuichi HARADA.

Revision 18080 - 2019-04-24 04:42 - Go MAEDA

Update locales (#19371).

History

#1 - 2015-03-26 12:39 - Sebastian Paluch

We are willing to implement this but need to know which way community wants to go...

#2 - 2015-08-21 16:04 - Anonymous

Since the community is divided on this one, why not take the simple approach: 2 columns.

1-parent ID

2-parent name

That way, people can choose the one they want and can even have different ways to show it in different filters.

#3 - 2016-04-15 16:07 - Dominique Deschenes

+1

#4 - 2016-12-02 18:20 - Jonatã Bolzan Loss

+1
#5 - 2016-12-31 12:05 - Toshi MARUYAMA

- Related to Defect #13673: Parent issue column includes issue subject (making issue list unworkable wide) added

#6 - 2019-01-21 10:58 - Jens Krämer

- File 0001-adds-a-new-query-column-for-the-parent-task-subject-.patch added

Here's a simple patch that adds a new Parent issue subject query column to issue queries. This would give users an easy way to add the parent

subject to queries.

#7 - 2019-01-21 13:22 - Go MAEDA

- File screenshot.png added

- Target version set to Candidate for next major release

It is a nice improvement. Here is a screenshot of this patch.

 

I think it will be even better to style the td.parent-subject with "{white-space: normal;}" to prevent long subjects to break the appearance.

===================================================================

--- public/stylesheets/application.css    (revision 17836)

+++ public/stylesheets/application.css    (working copy)

@@ -260,7 +260,7 @@

 tr.project.idnt-9 td.name {padding-left: 12.5em;}

 tr.issue { text-align: center; white-space: nowrap; }

-tr.issue td.subject, tr.issue td.category, td.assigned_to, td.last_updated_by, tr.issue td.string, tr.issue t

d.text, tr.issue td.list, tr.issue td.relations, tr.issue td.parent { white-space: normal; }

+tr.issue td.subject, tr.issue td.category, td.assigned_to, td.last_updated_by, tr.issue td.string, tr.issue t

d.text, tr.issue td.list, tr.issue td.relations, tr.issue td.parent, td.parent-subject { white-space: normal; 

}

 tr.issue td.relations { text-align: left; }

 tr.issue td.done_ratio table.progress { margin-left:auto; margin-right: auto;}

 tr.issue td.relations span {white-space: nowrap;}

#8 - 2019-01-23 03:06 - Go MAEDA

Jens, could you attach the test code if you already have it?

#9 - 2019-04-02 17:26 - Go MAEDA

- Subject changed from Provide better solution for long parent subject on issue list per #13673 to Add a new query column for the parent task subject

#10 - 2019-04-10 07:29 - Yuichi HARADA

- File add-test-for-the-parent-task-subject.patch added

Go MAEDA wrote:

Jens, could you attach the test code if you already have it?

 I created a test. Attach a patch.

Go MAEDA wrote:

I think it will be even better to style the td.parent-subject with "{white-space: normal;}" to prevent long subjects to break the appearance.

 +1

Certainly long strings break the layout of the issue list.

#11 - 2019-04-23 10:13 - Go MAEDA
- Category changed from UI to Issues list

- Target version changed from Candidate for next major release to 4.1.0

LGTM. Setting the target version to 4.1.0.

#12 - 2019-04-24 04:35 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patches. Thank you all for improving Redmine.

#13 - 2019-07-18 08:48 - Go MAEDA

- Related to Defect #31734: Issue Information Not Being Transfered To CSV In Reports Tab Of Spent Time Section.  added

#14 - 2020-03-06 10:31 - Go MAEDA

- Related to Defect #33103: Export to PDF fails when subject of parent task is included in issue list added

#15 - 2020-03-18 07:18 - Go MAEDA

- Related to Defect #33163: Parent task subject column should be in the same style as Subject column added

Files

0001-adds-a-new-query-column-for-the-parent-task-subject-.patch 1.71 KB 2019-01-21 Jens Krämer

screenshot.png 9.85 KB 2019-01-21 Go MAEDA

add-test-for-the-parent-task-subject.patch 989 Bytes 2019-04-10 Yuichi HARADA
